/* 通用设置 */
* {
    margin: 0;
    padding: 0;
    list-style: none;
}

.clear {
    content: "";
    clear: both;
    overflow: hidden;
}

.float_right {
    float: right;
}

.float_left {
    float: left;
}
.flex {
    display: flex;
}
img {
    display: block;
}

html {
    font-size: 12px;         /* 10px */
    /* color: #cacaca; */
    color: #e6e6e6;
}

body {
    /* IOS 禁止用户自定义设置字体大小 */
    -webkit-text-size-adjust: 100% !important;
    text-size-adjust: 100% !important;
    -moz-text-size-adjust: 100% !important;
}

button {
    border: none;
}

.backImage {
    background: url("./images/back.jpg");
    background-position: left top;
    background-size: cover;
}

/* 适配安全距离 */
.appHeight {
    /* 方案1：这种方案虽然有效，但是由于不同页面的类名不同，需要构建多套代码 */
    padding-top:env(safe-area-inset-top, 0rem);                 /* 兼容 IOS<11.2 */
    /* 方案2：将你的高设置为内容的100%减去安全区域的距离即可，这种对我写的这个项目代码量最少，效果还不错的方案了 */
    height: calc(100% - env(SAFE-AREA-INSET-TOP, 0rem));            /* 兼容 IOS<11.2 */
}

.ElMessage .el-message__content {
    font-size: 1.1666666rem;
    color: #a0a0a0;
}












